Bug Hunting Session
Bug 56759 - FORMATTING: master slide does not show the selecte bullet
Summary: FORMATTING: master slide does not show the selecte bullet
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 64901 (view as bug list)
Depends on:
Blocks: Impress-Bullet-Number
  Show dependency treegraph
 
Reported: 2012-11-05 09:13 UTC by bugquestcontri
Modified: 2017-09-17 06:32 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screen shots shows wrongly displayed bullets (29.04 KB, image/gif)
2012-11-05 09:13 UTC, bugquestcontri
Details
screenshot shows the correct bullets in normal view (29.88 KB, image/gif)
2012-11-05 09:14 UTC, bugquestcontri
Details
file used for testing and screenshots to show results master and outline window (30.97 KB, application/vnd.oasis.opendocument.presentation)
2013-06-24 03:49 UTC, bugquestcontri
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugquestcontri 2012-11-05 09:13:35 UTC
Created attachment 69546 [details]
screen shots shows wrongly displayed bullets

Problem description: 
1 - I deleted by mistake Wingdings Font and the bulleted list in Impress pick up Microsoft 
2 - Sans Serif instead.
 3- Reinstalled Wingdings and re-booted PC
4 - Bulleted list still kept using Microsoft Sans Serif
5 - Open Master Slide selected bullet list total and outline level by out line level and clicked 
6 - ctrl+M to delete all direct formating
7 - Adjusted in Style window each outline level (to my normal setting with Wingdings)
8 - Bullets did not change also settings in outline levels are correct
9 - Closed Master View 
10- Opened new slide with layout Title, Content
11 - All bullets and outline levels are displayed according to outline level settings in Style window
12 - Went back to Master View and again observed same wrong display 
13 - Went back to Normal View and all looked correct
Created to more no slides - all correct in Normal View but Master View unchanged in respect to bullets 

Note1: in test file even direct formatting of bullets in Master View not change according to settings

Note2: Above behavior is observed in 3.5.7; in 3.5.6 I never observed such a behavior. 


Steps to reproduce:
 1. Open Master Slide selected bullet list total and outline level by out line level and clicked 
ctrl+M to delete all direct formating
2. Adjust in Master View in Style window each outline level 
3. Bullets do not change also settings in outline levels are correct
9. Close Master View 
10- Open new slide in Normal View with layout Title, Content
11 - All bullets and outline levels are displayed according to outline level settings in Style window

Current behavior:

In Master View the bullets are not displayed according to settings.

Expected behavior:

In Master View bullets should be displayed according to settings


Platform (if different from the browser): 
XP/SP3 LibO 3.5.7
Browser: Mozilla/5.0 (Windows NT 5.1; rv:16.0) Gecko/20100101 Firefox/16.0
Comment 1 bugquestcontri 2012-11-05 09:14:30 UTC
Created attachment 69548 [details]
screenshot shows the correct bullets in normal view
Comment 2 ign_christian 2013-05-14 14:24:00 UTC
Could you please test it using LO 4.0.3 ? Because your LO version has significantly different menu compare to that latest LO version.
Comment 3 bugquestcontri 2013-05-15 02:46:36 UTC
I am willing to do a test once I installed 4.0.4. For production stability reasons I don't want to install 4.0.3 as a parallel version. Currently I am using 3.6.6.2. Please give me time until the release of 4.0.4 plus a few days
Comment 4 ign_christian 2013-05-18 16:39:16 UTC
It's ok, we'll be waiting for you. Is it still happen on 3.6.6?
Comment 5 Joel Madero 2013-06-23 04:42:29 UTC
*** Bug 64901 has been marked as a duplicate of this bug. ***
Comment 6 Joel Madero 2013-06-23 04:46:33 UTC
Because of the dupe from bug 64901 I went ahead and tested this:

I have been able to confirm the issue on:
Version: 4.2.0.0.alpha0+Build ID: b0a1666f756aa5f5315366eca9d7d02ddd55d2b
Date:   Tue May 28 08:51:01 2013 +0300 
Platform: Bodhi Linux 2.2 x64

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
As I've been able to confirm this problem I am marking as:

New (confirmed)
Minor - doesn't prevent high quality work as the slide itself will have correct bullet but could slow it down if user wasn't aware of the bug
Medium - relatively common thing to want to do (ie. change bullet of master slide)

Note: Interesting point that if you actually right click on the bullet itself and do bullets & Numbering it works, it only fails if you go through styles or format -> bullets & numbering....

Simpler Reproduction Steps:

1. Open presentation
2. View -> Master -> Slide Master
3. Format -> Bullets & Numbering
4. Customize Tab
5. Left click on ... next to character
6. Select another character
7. Ok

Observed: No change to master
Expected: Change to master

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage and join us on freenode at #libreoffice-qa

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 7 bugquestcontri 2013-06-24 03:49:37 UTC
Created attachment 81292 [details]
file used for testing and screenshots to show results master and outline window


Steps:
1 opened file based on a template used for attached file( I only striped logos and replaced names by xxxx)
2 open master view
3 select outline 1 in style window
4 right click and select modify
5 changed bullet to Wingdings 
6 selected new wingding bullet => new wingding bullet is to be seen in outline window but not in master slide
8 did the same for outline 2 => same result
9 no changes made for outline 3 and higher

Version: Version 4.0.4.2 (Build ID: 9e9821abd0ffdbc09cd8c52eaa574fa09eb08f2)

XP Prof / SP3
Comment 8 QA Administrators 2015-03-16 23:59:18 UTC Comment hidden (obsolete)
Comment 9 bugquestcontri 2015-03-30 16:50:18 UTC
Tested in 4.3.6.2 on XP machine. 

Bug still exists.
Comment 10 tommy27 2016-04-16 07:26:42 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2017-05-22 13:22:46 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522